oracle.pgx.config

## Enum FileGraphConfig.Field

- java.lang.Object
- - java.lang.Enum<FileGraphConfig.Field>
  - - oracle.pgx.config.FileGraphConfig.Field

- All Implemented Interfaces:
    Serializable, Comparable<FileGraphConfig.Field>, ConfigField
  Enclosing class:
    FileGraphConfig

      public static enum FileGraphConfig.Field
      extends Enum<FileGraphConfig.Field>
      implements ConfigField

  Fields of PGX Engine File Graph Config

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DATE_FORMAT` the date format to use when loading and storing date properties.
    `EDGE_EXTENSION` [two_tables_text only]] edges file extension
    `EDGE_PROPS` specification of edge properties associated with graph
    `ERROR_HANDLING` error handling configuration
    `FORMAT` graph format (Note: `bin` is deprecated, use `pgb` instead)
    `LOADING` loading-specific configuration
    `NODE_EXTENSION` [two_tables_text only] nodes file extension
    `SEPARATOR` [edge_list, adj_list only] separator string for text files
    `URI` unified resource identifier, either pointing to a a local file (relative to the location of this config or absolute), a web resource (prefix `http://'` or `https://`), a HDFS path (prefix `hdfs:`) or a classpath (prefix `classpath:` or `jar:`)
    `VERTEX_ID_TYPE` type of the vertex ID
    `VERTEX_PROPS` specification of vertex properties associated with graph

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getDefaultVal()` Gets the default value of this field.
    `List<String>` | `getKeyAliases()` Gets the key aliases of this field which are also recognized during parsing.
    `Class<?>` | `getType()` Gets the type of this field.
    `boolean` | `isArray()` Checks if this field is an array.
    `boolean` | `isEnum()` Checks if this field is of enum type.
    `boolean` | `isPath()` Checks if this field is a path.
    `boolean` | `isPrimitive()` Checks if this field is of primitive type.
    `boolean` | `isRequired()` Checks if this field is required.
    `String` | `toKey()` Get the key of this field, which is how this field is represented in serialized form.
    `String` | `toString()`
    `static FileGraphConfig.Field` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FileGraphConfig.Field[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DATE_FORMAT

          public static final FileGraphConfig.Field DATE_FORMAT

      the date format to use when loading and storing date properties. Please see SimpleDateFormat for a documentation of the format string

    - #### EDGE_EXTENSION

          public static final FileGraphConfig.Field EDGE_EXTENSION

      [two_tables_text only]] edges file extension

    - #### EDGE_PROPS

          public static final FileGraphConfig.Field EDGE_PROPS

      specification of edge properties associated with graph

    - #### ERROR_HANDLING

          public static final FileGraphConfig.Field ERROR_HANDLING

      error handling configuration

    - #### FORMAT

          public static final FileGraphConfig.Field FORMAT

      graph format (Note: `bin` is deprecated, use `pgb` instead)

    - #### LOADING

          public static final FileGraphConfig.Field LOADING

      loading-specific configuration

    - #### NODE_EXTENSION

          public static final FileGraphConfig.Field NODE_EXTENSION

      [two_tables_text only] nodes file extension

    - #### SEPARATOR

          public static final FileGraphConfig.Field SEPARATOR

      [edge_list, adj_list only] separator string for text files

    - #### URI

          public static final FileGraphConfig.Field URI

      unified resource identifier, either pointing to a a local file (relative to the location of this config or absolute), a web resource (prefix `http://'` or `https://`), a HDFS path (prefix `hdfs:`) or a classpath (prefix `classpath:` or `jar:`)

    - #### VERTEX_ID_TYPE

          public static final FileGraphConfig.Field VERTEX_ID_TYPE

      type of the vertex ID

    - #### VERTEX_PROPS

          public static final FileGraphConfig.Field VERTEX_PROPS

      specification of vertex properties associated with graph

  - ### Method Detail

    - #### getDefaultVal

          public Object getDefaultVal()

      Description copied from interface: `ConfigField`
      Gets the default value of this field.
      Specified by:
        `getDefaultVal` in interface `ConfigField`
      Returns:
        the default value

    - #### getKeyAliases

          public List<String> getKeyAliases()

      Description copied from interface: `ConfigField`
      Gets the key aliases of this field which are also recognized during parsing.
      Specified by:
        `getKeyAliases` in interface `ConfigField`
      Returns:
        the key aliases

    - #### getType

          public Class<?> getType()

      Description copied from interface: `ConfigField`
      Gets the type of this field.
      Specified by:
        `getType` in interface `ConfigField`
      Returns:
        the type

    - #### isArray

          public boolean isArray()

      Description copied from interface: `ConfigField`
      Checks if this field is an array.
      Specified by:
        `isArray` in interface `ConfigField`
      Returns:
        true, if array

    - #### isEnum

          public boolean isEnum()

      Description copied from interface: `ConfigField`
      Checks if this field is of enum type.
      Specified by:
        `isEnum` in interface `ConfigField`
      Returns:
        true, if enum

    - #### isPath

          public boolean isPath()

      Description copied from interface: `ConfigField`
      Checks if this field is a path.
      Specified by:
        `isPath` in interface `ConfigField`
      Returns:
        true, if path

    - #### isPrimitive

          public boolean isPrimitive()

      Description copied from interface: `ConfigField`
      Checks if this field is of primitive type.
      Specified by:
        `isPrimitive` in interface `ConfigField`
      Returns:
        true, if primitive

    - #### isRequired

          public boolean isRequired()

      Description copied from interface: `ConfigField`
      Checks if this field is required.
      Specified by:
        `isRequired` in interface `ConfigField`
      Returns:
        true, if required

    - #### toKey

          public String toKey()

      Description copied from interface: `ConfigField`
      Get the key of this field, which is how this field is represented in serialized form.
      Specified by:
        `toKey` in interface `ConfigField`
      Returns:
        the key.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<FileGraphConfig.Field>`

    - #### valueOf

          public static FileGraphConfig.Field valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static FileGraphConfig.Field[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FileGraphConfig.Field c : FileGraphConfig.Field.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

Copyright © 2015. All rights reserved.